<?xml version="1.0" encoding="UTF-8"?>
<rmml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="L:\collaborative-nir\program\Cscl3DWS\rmml\RMML.xsd">
	<composition  _name="CChemCase" y="50">
		<image name="imchemcase" src = "rmeq:case\case.png" x="74"  y="-50" depth="-10" visible="false" enabled="false"/>
		<image name="imchemcase2" src = "rmeq:case\case2.png" x="74"  y="-50" depth="-10"  visible="false" opacity="0" enabled="false"/>
		<image name="imchemcase0" src = "rmeq:case\case_s.png" x="71" y="-50" depth="-10" enabled="false"/>
		<animation name="animlass" src = "rmeq:case\case_s.fln" x="76"  y="-50" depth="-10" enabled="false"/>
		<script>
			function	closeCase()
			{
				this.seqShowCase.rewindAndPlay();
			}
		</script>

		<sequencer _name="seqShowCase">
			<script>
				trace("###################");
				scene.sengine.seplay("se_shkaf.mp3");
				this.animlass.rewindAndPlay();
				"animlass.onPlayed";
			</script>
			<script>
				animlass.hide();	imchemcase0.show();
				imchemcase.show();imchemcase2.show();
			</script>
			<script>
				this.icase=0;
			</script>
			<script>
				imchemcase2.opacity = 10*this.icase/100;
				imchemcase.opacity = 1 - 10*this.icase/100;
				imchemcase0.opacity = 1 - 10*this.icase/100;
				true;
			</script>
			<script><![CDATA[
				this.icase++;
				if(this.icase <= 10)	this.seqShowCase.currentFrame = 3;
			]]></script>
			<!--script>
				this.imchemcase.hide();
				this.imchemcase2.show();
			</script-->
		</sequencer>
	</composition> 
</rmml>